Subject: bug#14734: 24.3.50; REGRESSION: defadvice broken wrt doc strings (C-h f)

From: Drew Adams <[email-masked]>
Date: Sat, 6 Jul 2013 13:22:27 -0700 (PDT)

> > (It should have been obvious while implementing it that from
> > a user point of view it would be a mistake.)
> 
> Yes, I'm simply an idiot

Please calm down.  No one questions your intelligence (as your
sarcasm indicates you know full well).

It's about effect on users; it's not only about implementation.

And it is certainly not about you or about intelligence.  Being
brilliant does not mean that one never makes mistakes or always
exercises the best judgment.  "I'm smart, therefore I must be
right" is not always a smart argument.